#include "viareawidget.h"

ViAreaWidget::ViAreaWidget(QWidget *parent)
    : QWidget(parent)
{
	ui.setupUi(this);
}

void ViAreaWidget::paintEvent(QPaintEvent *event)
{
	emit askParentRepaint(event, this);
}

void ViAreaWidget::mouseMoveEvent(QMouseEvent *event)
{
	emit notifyParentMouseMove(event);
}

void ViAreaWidget::mousePressEvent(QMouseEvent *event)
{
	emit notifyParentMouseMove(event);
}

void ViAreaWidget::mouseDoubleClickEvent(QMouseEvent *event)
{
	emit notifyParentMouseMove(event);
}


ViAreaWidget::~ViAreaWidget()
{

}
